image: alpine:latest

variables:
  ### Build args
  DOCKER_DRIVER: overlay2
  ROLLOUT_RESOURCE_TYPE: deployment
  DOCKER_TLS_CERTDIR: ""
  KUBE_NAMESPACE: $CI_PROJECT_PATH_SLUG
  TEST_DISABLED: "true"
  POSTGRES_ENABLED: "false"
  ### Confluence settings
  CONFLUENCE_SPACE: ""
  CONFLUENCE_PARENT: ""

stages:
  - Build
  - CodeQuality
  - CodeQuality Report
  - Deploy
  - Clean up
  - Tag
  - Changelog
  - Release

.auto-deploy:
  image: "registry.gitlab.com/gitlab-org/cluster-integration/auto-deploy-image:v2.0.1"

include:
  - local: .cicd/ci-templates/**
